using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using SportsDivision.Domain.Entities;

namespace SportsDivision.Infrastructure.Data.Configurations;

public class PlacementPointConfigConfiguration : IEntityTypeConfiguration<PlacementPointConfig>
{
    public void Configure(EntityTypeBuilder<PlacementPointConfig> builder)
    {
        builder.HasKey(p => p.PlacementPointConfigId);
        builder.HasIndex(p => p.Placement).IsUnique();
    }
}
